%define upstream_name    Import-Into
%define upstream_version 1.002005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Import packages into other packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Import/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Writing exporters is a pain. Some use the Exporter manpage, some use the
Sub::Exporter manpage, some use the Moose::Exporter manpage, some use the
Exporter::Declare manpage ... and some things are pragmas.

If you want to re-export other things, you have to know which is which. the
Exporter manpage subclasses provide export_to_level, but if they overrode
their import method all bets are off. the Sub::Exporter manpage provides an
into parameter but figuring out something used it isn't trivial. Pragmas
need to have their 'import' method called directly since they affect the
current unit of compilation.

It's ... annoying.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.5-5.mga8
+ Revision: 1495084
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.5-4.mga7
+ Revision: 1268650
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.2.5-3.mga6
+ Revision: 1028519
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.2.5-2.mga6
+ Revision: 969637
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.2.5-1.mga6
+ Revision: 873501
- update to 1.002005

* Tue Jul 07 2015 sander85 <sander85> 1.2.4-1.mga6
+ Revision: 852492
- update to 1.002004

* Sat Oct 18 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 788226
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 748458
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.2.2-3.mga5
+ Revision: 732295
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 685129
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.2.2-1.mga5
+ Revision: 624292
- update to 1.002002

* Fri Mar 14 2014 jquelin <jquelin> 1.2.1-1.mga5
+ Revision: 603725
- update to 1.002001

* Sun Feb 09 2014 sander85 <sander85> 1.2.0-1.mga5
+ Revision: 587294
- update to 1.002000

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 525950
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.1.1-1.mga4
+ Revision: 435010
- update to 1.001001

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 368742
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 shlomif <shlomif> 1.1.0-1.mga3
+ Revision: 281532
- imported package perl-Import-Into


* Thu Aug 16 2012 cpan2dist 1.001000-1mga
- initial mageia release, generated with cpan2dist
